Kerbal Space Program - Bug #497

Kerbals sink / fall through ground when walking
03/25/2013 09:48 PM - Mctittles

Status: Closed Start date: 03/25/2013
Severity: Very Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.191 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

When controlling a Kerbal to walk they will sink in and out of the ground. In some cases the character disappears completely or dies
as if they have fallen a long distance.

To reproduce exit a pod on the launchpad and walk around. You will sink in and out of the ground. Walking toward the Space
Center causes you to fall entirely through the ground. If you try running toward the Space Center you will occasionally die in the
process.

History

#1 - 03/26/2013 01:25 AM - Ted

- Severity changed from Normal to Very Low

Hmm, | have extensively walked around the Space Centre with Kerbals and can't say that I've fallen through ever. What Graphics settings are you
running KSP on?
You can simply attach your settings.cfg if you wish.

#2 - 03/26/2013 07:12 PM - Mctittles
- File 2013-03-26_00004.jpg added

- File 2013-03-26_00006.jpg added

- File 2013-03-26_00008.jpg added

- File 2013-03-26_00009.jpg added

- File settings.cfg added

I've attached the settings.cfg and a few screenshots. | thought perhaps it was because my Terrain detail was set to low so | tested it with the highest
setting and ran into the same problems. On further testing it appears to happen between the texture seams you can see in the zoomed out shot.

#3 - 03/27/2013 12:38 AM - Anonymous

| was unable to reproduce this on a fresh install in Windows 7 with AMD hardware & drivers. Are you using a fresh install, or do you have mods on it?
What graphics hardware are you running? Drivers?

#4 - 03/27/2013 06:50 AM - Mctittles
- File floating polys.jpg added

No mods; fresh Steam install.
Windows XP
Radeon HD 3650

I've tried SM3 shaders on/off (card support 4.1)

Tried with force part shader / no SM3

Changed other options around even anti-aliasing, shadows, and lights
Terrain set to medium setting minimized the effect but it is still present.

| also noticed floating buildings and polygons in the outside areas that | think is related. The polys on my ship and in the ship building area are fine. |
attached another image to show what | mean.
#5 - 04/06/2013 07:40 AM - Mctittles

So | just got a new computer. | went from a Celeron 3ghz single core with AGP graphics to a FM2A55M-DGS paired with a A4-5300 Trinity 3.4GHz
DUAL core and 4GB of RAM and | am still getting the same problem.
| also went from XP 32 bit to Windows 7 64 bit.

It absolutely has to do with the poly's not lining up. You can test this without walking around. Set the terrain detail to "low" and move the camera
around from the launch pad.

Where the launchpad poly ends do you see the road poly floating above the ground?

Are you not even seeing the lights on the building that float and are not attached?

It's surprising that no one else would be having this problem since | am having the same problem on vastly different computer setups. The only thing
they have in common is Raidon brand graphics. The old one had Raidon AGP mentioned above and the new one has Radeon HD 7480D on the
processor.

#6 - 04/13/2013 10:53 AM - Mctittles

So my brother got this game. NVIDIA GTX 460, 3.2Ghz Pentium Dual Core, Windows Vista 64, and he has the same problem. That's three
completely different computer setups.

All computers were running the Steam version.

#7 - 05/25/2013 12:27 PM - Xellith
- File screenshot1.png added

Im also having the issue where my kerbals are sinking into the terrain. So far | have determined that it happens to me on Kerbin and on Eve. It didnt
happen on the moon. | couldnt tell if it happened on Minmus. Driving Rovers in these conditions (at least on Kerbin) will result in wheels falling off or
breaking every few dozen meters. At least on one occasion a kerbal "poofed" into oblivion after touching Kerbin. Im using 0.20

Sorry if this isnt a related bug but it appears related (maybe .)

#8 - 09/25/2013 04:56 PM - ApolloFunghi

- File quicksave - swampy ground.sfs added

- File sinking.png added

- File about to fall.png added

I'm getting this on 21.1 unmodded

Kerbals will sink into the ground as they walk. They occasionally pop back to ground level, then sink again as they continue to walk. Sometimes they
fall through the ground completely, before reappearing at ground level. Jumping usually resets them to ground level. Occasionally jumping, or
touching another object, whilst sunk causes them to poof to death (naturally, this only happens on genuine missions and not when I'm trying to
demonstrate the bug). Grabbing a ladder whilst sunk sometimes causes them to be launched several meters into the air.

nothing suspicious appears in the debug log, however when | got the "jump and die" version of this bug the log showed;

[WRN 03:41:27.636] Vessel Bill Kerman crashed through terrain on Kerbin

[LOG 03:41:27.639] [00:00:28]: Bill Kerman crashed into Kerbin.

I'm not 100% sure, but it seems to happen most frequently on hilly ground.

Attached is a save which demonstrates the problem. When | load this, the Kerbal starts buried up to his stomach, as pictured. Walking around causes
him to drop in and out of the ground every meter or so. Climbing the ladder is quite tricky; sometimes he refuses to grab it (presumably when it's too
high up), other times he'll launch himself into the sky.

| have terrain on low detail, SM3 on.

#9 - 12/14/2013 07:33 AM - velifer

| have this problem also (Win7 32bit, old graphics card so low quality settings) I've had Kerbals fall through the landscape and die many times,
generally where there's a sharp bend in the ground, or some surface stuff (snow is apparently INSTANTLY FATAL).

I've even had a lander fall through the planet. As soon as the Kerbalnaut went EVA the view went black, the altimeter changed to -666666, and |
heard the explosion sound. (So, seems like that mission went right to hell). On reboot, the empty command module was on escape trajectory at a
decent fraction of c.

| apologize for not having more complete debugging info. I'll try to collect something reproducible.

#10 - 12/28/2013 11:54 AM - Ruedii

I've noticed this too in Linux.

There are quite a few places where the colision map seems not to line up with the visuals. | haven't noticed any cases where kerbals seem to walk
on air (yet) but plenty of quicksand effect places, most of which are very minor, but a handful of which, as mentioned in the bug. Some of the worst

cases are on the edges of cliffs and holes where there appears to be more land, and you fall to your doom.

Many times when | land the feet of the lander are a little under the surface, as if it is resting in quicksand.

| will try to load up a sandbox game with an all-stock backup.

#11 - 07/27/2015 06:04 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#12 - 07/17/2016 09:33 AM - TriggerAu

- Status changed from New to Needs Clarification

#13 - 08/07/2016 11:33 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For

best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:

Files

http:/forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
